Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000223opensim[REGION] OpenSim Corepublic2007-12-19 03:462008-05-18 20:10
Reportershanesemler 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOperating SystemOperating System Version
Product Version 
Target VersionFixed in Version 
Summary0000223: Linked objects won't scale together properly, only the root object scales
DescriptionLinked objects won't scale together properly, only the root object scales. This happens with scaling both up and down or inputting numbers in the edit dialog. This behavior doesn't occur on the Second Life grid. I've included screenshots of before and after scaling. I'm using version 1.18.6 (74965) of the WindLight First Look client. I'm not sure what version of the OpenSim server I'm using as it is a nightly build so here is the info from the build log, hopefully, it will be useful:

Tue Dec 4 06:30:14 CET 2007
Path: .
URL: http://opensimulator.org/svn/opensim/trunk [^]
Repository Root: http://opensimulator.org/svn/opensim [^]
Repository UUID: e9a5c24e-b13f-11db-933b-17aa6df88f97
Revision: 2568
Node Kind: directory
Schedule: normal
Last Changed Author: chi11ken
Last Changed Rev: 2568
Last Changed Date: 2007-12-04 05:59:27 +0100 (Tue, 04 Dec 2007)
Properties Last Updated: 2007-12-04 06:30:13 +0100 (Tue, 04 Dec 2007)
Additional InformationThis is the first time I've filed a report so I'm not sure I placed it in the proper category. Please excuse me if I failed to fill out this report correctly.
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineODE
Script Engine
EnvironmentMono / Linux32
Mono Version
Viewer
Attached Filesjpg file icon scale_example.jpg [^] (116,811 bytes) 2007-12-19 03:46


patch file icon 223.patch [^] (10,577 bytes) 2008-04-08 18:02 [Show Content]

- Relationships
related to 0000135closed Linked objects - editing linked parts is not working correctly 
related to 0000558closedjustincc Some parts in linked objects still have rotation bugs 

-  Notes
(0000198)
shanesemler (reporter)
2007-12-19 07:37

I forgot to mention I'm on Windows XP SP2.
(0001443)
Akio (reporter)
2008-04-08 18:05

Scaling the group should work now, Scaling parts too. Please feedback.
(0001475)
krtaylor (developer)
2008-04-10 14:23

Tested to verify fix on r4191.

Linked objects scale together, but root is repositioned in a random place.

Closer, but still needs work.
(0001541)
mirceakitsune (reporter)
2008-04-15 04:10

Confirming what krtaylor said, to a point. Not only the root is repositioned randomly however, in my case the root stays and the child prims are the ones that get mixed. Also, after I rescale the object, the root prim still has a different scale then the child prims.
(0001590)
krtaylor (developer)
2008-04-18 07:31

Included patch reviewed and tested - works great - thanks Akio

Need someone in core to commit patch
(0001591)
sdague (administrator)
2008-04-18 07:33

patch ready for inclusion. thanks krtaylor for testing.
(0001609)
cfk (administrator)
2008-04-19 14:02

Committed as r4280

- Issue History
Date Modified Username Field Change
2007-12-19 03:46 shanesemler New Issue
2007-12-19 03:46 shanesemler File Added: scale_example.jpg
2007-12-19 07:37 shanesemler Note Added: 0000198
2008-01-15 05:34 Teravus Relationship added related to 0000135
2008-02-13 14:47 mirceakitsune Relationship added related to 0000558
2008-04-08 18:02 Akio File Added: 223.patch
2008-04-08 18:05 Akio Note Added: 0001443
2008-04-10 14:23 krtaylor Note Added: 0001475
2008-04-15 04:10 mirceakitsune Note Added: 0001541
2008-04-18 07:31 krtaylor Note Added: 0001590
2008-04-18 07:33 sdague Note Added: 0001591
2008-04-18 07:33 sdague Status new => patch ready
2008-04-19 14:02 cfk SVN Revision => r4280
2008-04-19 14:02 cfk Run Mode => Grid (1 Region per Sim)
2008-04-19 14:02 cfk Physics Engine => ODE
2008-04-19 14:02 cfk Environment => Mono / Linux32
2008-04-19 14:02 cfk Note Added: 0001609
2008-04-19 14:02 cfk Status patch ready => resolved
2008-04-19 14:02 cfk Resolution open => fixed
2008-05-18 20:10 nebadon Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker